### Method

# Gio SocketClient set_protocol

since: 2.22

#### Declaration

    void
    g_socket_client_set_protocol (
      GSocketClient* client,
      GSocketProtocol protocol
    )

#### Description

Sets the protocol of the socket client. The sockets created by this object will use of the specified protocol.

If `protocol` is `G_SOCKET_PROTOCOL_DEFAULT` that means to use the default protocol for the socket family and type.

Available since: 2.22

Sets property | `Gio.SocketClient:protocol`

#### Parameters

`protocol`

  Type: `GSocketProtocol`

  A `GSocketProtocol`.